package servlet;

import com.fasterxml.jackson.databind.ObjectMapper;
import pojo.Users;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.logging.Handler;

/**
 * 通过JSON格式响应单个对象
 */
@WebServlet("/single.do")
public class SingleObjectServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //创建user对象
        Users users=new Users();
        users.setUsername("olds");
        users.setUserid(1);
        //使用jackson的API将Users对象转换为JSON格式的对象
        ObjectMapper objectMapper=new ObjectMapper();
        //将Users对象转换为JSON格式的字符串对象
        String string = objectMapper.writeValueAsString(users);
        System.out.println(string);
        //设置响应类型为application/json
        resp.setContentType("application/json");

        PrintWriter pw=resp.getWriter();
        pw.print(string);
        pw.flush();
        pw.close();
    }


}
